!----------------------------------------------------------------------------------------------------------
! Recall Version Resource Information Class
! by Brian McGinnis - 2003
! bd@brianmcginnis.com
! Feel free to distribute and modify, no rights reserved.
! Read the article at www.clarionmag.com
!----------------------------------------------------------------------------------------------------------
!ABCIncludeFile
OMIT('_EndOfInclude_',_bdVersionInfoPresent_)
_bdVersionInfoPresent_ EQUATE(1)

!Language ID Equates (Always 4 characters)
bdLang:Danish       EQUATE('0406')
bdLang:German       EQUATE('0407')
bdLang:USEnglish    EQUATE('0409')
bdLang:French       EQUATE('040c')
bdLang:Italian      EQUATE('0410')
bdLang:Dutch        EQUATE('0413')
bdLang:Russian      EQUATE('0419')
bdLang:UKEnglish    EQUATE('0809')
bdLang:MSpanish     EQUATE('080a')  !Mexican Spanish
bdLang:CFrench      EQUATE('0c0c')  !Canadian French

!Code Page ID Equates (Always 4 characters)
bdCPage:7bASCII     EQUATE('0000')  !7-Bit ASCII
bdCPage:Unicode     EQUATE('04b0') 
bdCPage:Latin2      EQUATE('04e2')  !Latin-2 (Eastern European)
bdCPage:Multi       EQUATE('04e4')  !Multilingual

bdVersionInfo       CLASS,TYPE,MODULE('BDVER.CLW'),LINK('BDVER.CLW',_ABCLinkMode_),DLL(_ABCDllMode_)
CodePageID            STRING(4),PRIVATE             !Code page identifier
FN                    CSTRING(256),PRIVATE          !Full EXE/DLL pathname
Buffer                &CSTRING,PRIVATE              !File version info buffer
BufSize               ULONG,PRIVATE                 !File version buffer size
Inited                BYTE,PRIVATE                  !Has object's Init method ever been called?
LangID                STRING(4),PRIVATE             !Language identifier

Construct             PROCEDURE()
Destruct              PROCEDURE()
GetVersionInfoData    PROCEDURE(),BYTE,PRIVATE  

GetCodePageID         PROCEDURE(),STRING
GetComments           PROCEDURE(),STRING,VIRTUAL
GetCompanyName        PROCEDURE(),STRING,VIRTUAL
GetFileDescription    PROCEDURE(),STRING,VIRTUAL
GetFilePathName       PROCEDURE(),STRING,VIRTUAL
GetFileVersion        PROCEDURE(),STRING,VIRTUAL
GetInfo               PROCEDURE(STRING xStrName),STRING,VIRTUAL
GetInternalName       PROCEDURE(),STRING,VIRTUAL
GetLangID             PROCEDURE(),STRING
GetLegalCopyright     PROCEDURE(),STRING,VIRTUAL
GetLegalTrademarks    PROCEDURE(),STRING,VIRTUAL
GetOriginalFilename   PROCEDURE(),STRING,VIRTUAL
GetProductName        PROCEDURE(),STRING,VIRTUAL
GetProductVersion     PROCEDURE(),STRING,VIRTUAL
GetPrivateBuild       PROCEDURE(),STRING,VIRTUAL
GetSpecialBuild       PROCEDURE(),STRING,VIRTUAL
Init                  PROCEDURE(),BYTE,VIRTUAL
Init                  PROCEDURE(STRING xFN),BYTE,VIRTUAL
InitSvr               PROCEDURE(),BYTE,PRIVATE
SetCodePageID         PROCEDURE(STRING xID),BYTE,PROC
SetLangID             PROCEDURE(STRING xID),BYTE,PROC
                    END
 _EndOfInclude_